#ifndef TABLERO_H
#define TABLERO_H

#include "casilla.h"
#include <iostream>
#include <stdlib.h>

using namespace std;

const int K_FILA = 7;
const int K_COLUMNA = 35;

const int fila_inicio = K_FILA / 2;
const int columna_inicio = 0;

class Tablero {
      private:
              Casilla tablero_juego [K_FILA][K_COLUMNA];
      public:
              // Constructor
              Tablero(){
            	    // Generar matriz de K_FILA x K_COLUMNA
            	    this->inicializa_tablero();
            	}
              // Destructor
              ~Tablero(){}
              
              Casilla & getCasilla(int i, int j);
              string visualizarTablero(char avatar);
              string visualizarTrampasTablero(char avatar);
              int getTrampasCercanas(Casilla c);
              void putTrampas(int level);
              void inicializa_tablero();
              Casilla & getCasillaJugador();
};

#endif
